"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const uikitReactCore = require("@hitachivantara/uikit-react-core");
const uikitStyles = require("@hitachivantara/uikit-styles");
const { staticClasses, useClasses } = uikitReactCore.createClasses("HvBlade", {
  root: {
    position: "relative",
    display: "flex",
    minWidth: 72,
    "& + $root": {
      marginLeft: uikitStyles.theme.spacing("sm")
    },
    transition: "flex-grow 600ms linear",
    zIndex: 0,
    color: uikitStyles.theme.colors.secondary,
    backgroundColor: uikitStyles.theme.colors.atmo1,
    borderRadius: uikitStyles.theme.radii.round,
    border: `1px solid ${uikitStyles.theme.colors.atmo4}`
  },
  expanded: {},
  fullWidth: {
    flexGrow: 0,
    "&$expanded": {
      flexGrow: 1
    }
  },
  heading: {},
  button: {
    height: "100%",
    minWidth: 70,
    "&[disabled], &:active": {
      outline: "none"
    },
    "&:focus": {
      outline: "none",
      background: uikitStyles.theme.colors.containerBackgroundHover
    },
    "&:hover": {
      background: uikitStyles.theme.colors.containerBackgroundHover
    },
    "&:focus-visible": {
      ...uikitReactCore.outlineStyles,
      zIndex: 1
    },
    cursor: "pointer"
  },
  textOnlyLabel: {
    padding: uikitStyles.theme.spacing("xs", "sm")
  },
  container: {
    display: "inline-block",
    height: "100%",
    width: "100%",
    minWidth: 0,
    overflowX: "hidden",
    maxWidth: 0,
    transition: "max-width 600ms linear"
  },
  disabled: {
    cursor: "not-allowed",
    color: uikitStyles.theme.colors.secondary_60,
    "&:focus": {
      background: "none"
    },
    "&:hover": {
      background: "none"
    }
  }
});
exports.staticClasses = staticClasses;
exports.useClasses = useClasses;
