"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
const reactflow = require("reactflow");
const uikitStyles = require("@hitachivantara/uikit-styles");
const Minimap_styles = require("./Minimap.styles.cjs");
const HvFlowMinimap = ({
  nodeColor = "atmo4",
  maskColor = "atmo3",
  maskStrokeColor = "atmo3",
  nodeStrokeColor = "atmo4",
  classes: classesProp,
  className,
  ...others
}) => {
  const { classes, cx } = Minimap_styles.useClasses(classesProp);
  return /* @__PURE__ */ jsxRuntime.jsx(
    reactflow.MiniMap,
    {
      className: cx(classes.root, className),
      nodeColor: typeof nodeColor === "string" ? uikitStyles.getColor(nodeColor, "atmo4") : nodeColor,
      nodeStrokeColor: typeof nodeStrokeColor === "string" ? uikitStyles.getColor(nodeStrokeColor, "atmo4") : nodeStrokeColor,
      maskColor: uikitStyles.getColor(maskColor, "atmo3"),
      maskStrokeColor: uikitStyles.getColor(maskStrokeColor, "atmo3"),
      ...others
    }
  );
};
exports.flowMinimapClasses = Minimap_styles.staticClasses;
exports.HvFlowMinimap = HvFlowMinimap;
