"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const uikitReactCore = require("@hitachivantara/uikit-react-core");
const { staticClasses, useClasses } = uikitReactCore.createClasses("HvFlowBaseNode", {
  root: {
    borderRadius: uikitReactCore.theme.radii.round,
    backgroundColor: uikitReactCore.theme.colors.atmo1,
    boxShadow: uikitReactCore.theme.colors.shadow,
    minWidth: "250px",
    border: "1px solid var(--node-color)"
  },
  headerContainer: {
    padding: uikitReactCore.theme.spacing(0.5, 1),
    display: "flex",
    flexDirection: "row",
    justifyContent: "space-between",
    alignItems: "center",
    borderTopLeftRadius: "inherit",
    borderTopRightRadius: "inherit",
    backgroundColor: "var(--node-color)"
  },
  titleContainer: {
    display: "flex",
    flexDirection: "row",
    alignItems: "center",
    "& svg *.color0": { fill: "var(--icon-color)" }
  },
  title: {
    color: uikitReactCore.theme.colors.base_dark
  },
  inputsTitleContainer: {
    display: "flex",
    justifyContent: "center",
    padding: uikitReactCore.theme.space.xs,
    backgroundColor: uikitReactCore.theme.colors.atmo2,
    borderTop: `1px solid ${uikitReactCore.theme.colors.atmo3}`,
    borderBottom: `1px solid ${uikitReactCore.theme.colors.atmo3}`
  },
  outputsTitleContainer: {
    display: "flex",
    justifyContent: "center",
    padding: uikitReactCore.theme.space.xs,
    backgroundColor: uikitReactCore.theme.colors.atmo2,
    borderTop: `1px solid ${uikitReactCore.theme.colors.atmo3}`,
    borderBottom: `1px solid ${uikitReactCore.theme.colors.atmo3}`
  },
  contentContainer: {},
  inputsContainer: {
    display: "flex",
    flexDirection: "column",
    padding: uikitReactCore.theme.space.sm,
    gap: uikitReactCore.theme.space.xs,
    alignItems: "flex-start"
  },
  outputsContainer: {
    display: "flex",
    flexDirection: "column",
    padding: uikitReactCore.theme.space.sm,
    gap: uikitReactCore.theme.space.xs,
    alignItems: "flex-end"
  },
  inputGroupContainer: {
    display: "flex",
    flexDirection: "column",
    gap: uikitReactCore.theme.space.xs,
    alignItems: "flex-start"
  },
  outputGroupContainer: {
    display: "flex",
    flexDirection: "column",
    gap: uikitReactCore.theme.space.xs,
    alignItems: "flex-end"
  },
  inputContainer: {
    display: "flex",
    flexDirection: "row",
    alignItems: "center",
    position: "relative"
  },
  outputContainer: {
    display: "flex",
    flexDirection: "row",
    alignItems: "center",
    position: "relative"
  },
  handle: {
    zIndex: uikitReactCore.theme.zIndices.overlay,
    marginLeft: 2,
    backgroundColor: uikitReactCore.theme.colors.atmo1,
    height: 10,
    width: 10,
    border: `1px solid ${uikitReactCore.theme.colors.secondary_60}`,
    "&.react-flow__handle-left": {
      left: -23
    },
    "&.react-flow__handle-right": {
      right: -21
    },
    "&.react-flow__handle-connecting": {
      backgroundColor: uikitReactCore.theme.colors.negative_20
    },
    "&.react-flow__handle-valid": {
      backgroundColor: uikitReactCore.theme.colors.positive_20
    },
    "::before": {
      fontSize: 14,
      color: uikitReactCore.theme.colors.secondary_60,
      content: '"+"',
      marginTop: -7,
      position: "absolute"
    }
  },
  handleConnected: {
    backgroundColor: uikitReactCore.theme.colors.secondary_60,
    width: 8,
    height: 8,
    "::before": {
      fontSize: 11,
      marginTop: -8
    }
  },
  mandatory: {
    width: 10,
    height: 10,
    margin: uikitReactCore.theme.spacing(0, uikitReactCore.theme.space.xs),
    borderRadius: uikitReactCore.theme.radii.full,
    backgroundColor: uikitReactCore.theme.colors.negative_20
  },
  footerContainer: {
    padding: uikitReactCore.theme.space.sm,
    borderTop: `1px solid ${uikitReactCore.theme.colors.atmo3}`
  }
});
exports.staticClasses = staticClasses;
exports.useClasses = useClasses;
