"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const uikitReactCore = require("@hitachivantara/uikit-react-core");
const BaseNode_styles = require("./BaseNode.styles.cjs");
const baseClasses = Object.fromEntries(
  Object.keys(BaseNode_styles.staticClasses).map((key) => [key, {}])
);
const { staticClasses, useClasses } = uikitReactCore.createClasses("HvFlowNode", {
  subtitleContainer: {
    minHeight: 48,
    padding: uikitReactCore.theme.spacing("xs"),
    display: "flex",
    flexDirection: "row",
    justifyContent: "space-between",
    alignItems: "center"
  },
  subtitle: {
    paddingLeft: uikitReactCore.theme.spacing("xs")
  },
  inlineEditRoot: {
    display: "inline-flex",
    flexGrow: 1
  },
  inlineEditButton: {
    justifyContent: "space-between"
  },
  actions: {},
  actionsButton: {
    gap: 0
  },
  paramsContainer: {
    borderTop: `1px solid ${uikitReactCore.theme.colors.atmo4}`,
    display: "flex",
    flexDirection: "column",
    gap: uikitReactCore.theme.space.xs,
    padding: uikitReactCore.theme.space.sm
  },
  // Spread here to know if we are overriding classes from parents
  ...baseClasses
});
exports.staticClasses = staticClasses;
exports.useClasses = useClasses;
