"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("react/jsx-runtime");
const css = require("@emotion/css");
const uikitReactCore = require("@hitachivantara/uikit-react-core");
const useFlowNode = require("../../hooks/useFlowNode.cjs");
const classes = {
  labelContainer: css.css({
    marginRight: 0,
    marginLeft: 0
  }),
  sliderBase: css.css({
    padding: 0
  })
};
const Slider = ({ param, data }) => {
  const { id } = param;
  const { setNodeData } = useFlowNode.useFlowNodeUtils();
  return /* @__PURE__ */ jsxRuntime.jsx(
    uikitReactCore.HvSlider,
    {
      className: "nodrag",
      defaultValues: data[id],
      onChange: (val) => setNodeData((prev) => ({ ...prev, [id]: val })),
      classes: {
        labelContainer: classes.labelContainer,
        sliderBase: classes.sliderBase
      },
      ...param
    }
  );
};
exports.default = Slider;
