"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const uikitStyles = require("@hitachivantara/uikit-styles");
const getColor = (state) => ({
  Pending: uikitStyles.theme.colors.warning ?? "warning",
  Failed: uikitStyles.theme.colors.negative ?? "negative",
  Completed: uikitStyles.theme.colors.positive ?? "positive",
  Current: uikitStyles.theme.colors.secondary ?? "secondary",
  Disabled: uikitStyles.theme.colors.secondary_60 ?? "secondary_60",
  Enabled: uikitStyles.theme.colors.secondary ?? "secondary"
})[state];
const getSemantic = (state) => ({
  Pending: "warning",
  Failed: "negative",
  Completed: "positive",
  Current: "secondary",
  Disabled: "secondary_60",
  Enabled: "secondary"
})[state];
const EXTRA_SMALL = { container: 32, avatar: 24 };
const SMALL = { container: 40, avatar: 32 };
const MEDIUM = { container: 48, avatar: 40 };
const LARGE = { container: 60, avatar: 52 };
const EXTRA_LARGE = { container: 96, avatar: 88 };
const stepSizes = {
  xs: EXTRA_SMALL,
  sm: SMALL,
  md: MEDIUM,
  lg: LARGE,
  xl: EXTRA_LARGE
};
exports.getColor = getColor;
exports.getSemantic = getSemantic;
exports.stepSizes = stepSizes;
