"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
const uikitReactCore = require("@hitachivantara/uikit-react-core");
const utils = require("../utils.cjs");
const Dot_styles = require("./Dot.styles.cjs");
const HvDot = ({
  classes: classesProp,
  className,
  state,
  title,
  size = "sm",
  onClick,
  disabled
}) => {
  const { classes, cx, css } = Dot_styles.useClasses(classesProp);
  const dotSize = utils.dotSizes[size] * (state === "Current" ? 1.5 : 1);
  return /* @__PURE__ */ jsxRuntime.jsx(
    uikitReactCore.HvButton,
    {
      className: cx(
        css({
          backgroundColor: utils.getColor(state),
          width: dotSize,
          height: dotSize,
          "&:hover, &:disabled": {
            backgroundColor: utils.getColor(state)
          }
        }),
        classes.root,
        {
          [classes.active]: state === "Current",
          [classes.ghostDisabled]: disabled ?? ["Current", "Disabled"].includes(state)
        },
        className
      ),
      "aria-label": `${title}`,
      icon: true,
      disabled: disabled ?? ["Current", "Disabled"].includes(state),
      onClick,
      children: []
    }
  );
};
exports.dotClasses = Dot_styles.staticClasses;
exports.HvDot = HvDot;
