import { jsx, jsxs } from "react/jsx-runtime";
import { useSensors, useSensor, PointerSensor, KeyboardSensor, DndContext } from "@dnd-kit/core";
import { restrictToWindowEdges } from "@dnd-kit/modifiers";
import { ReactFlowProvider } from "reactflow";
import { HvDroppableFlow } from "./DroppableFlow.js";
import { HvFlowProvider } from "./FlowContext/FlowContext.js";
const HvFlow = ({
  nodeGroups,
  sidebar,
  defaultActions,
  dndContextProps,
  ...others
}) => {
  const sensors = useSensors(
    useSensor(PointerSensor),
    useSensor(KeyboardSensor)
  );
  return /* @__PURE__ */ jsx(ReactFlowProvider, { children: /* @__PURE__ */ jsx(HvFlowProvider, { nodeGroups, defaultActions, children: /* @__PURE__ */ jsxs(
    DndContext,
    {
      sensors,
      modifiers: [restrictToWindowEdges],
      ...dndContextProps,
      children: [
        /* @__PURE__ */ jsx(HvDroppableFlow, { ...others }),
        sidebar
      ]
    }
  ) }) });
};
export {
  HvFlow
};
