import { jsx } from "react/jsx-runtime";
import { createContext, useState, useMemo } from "react";
import { HvFlowNodeMetaProvider } from "./NodeMetaContext.js";
const HvFlowContext = createContext({});
const HvFlowProvider = ({
  nodeGroups,
  defaultActions,
  children
}) => {
  const [expandedNodeGroups, setExpandedNodeGroups] = useState([]);
  const value = useMemo(
    () => ({
      nodeGroups,
      defaultActions,
      expandedNodeGroups,
      setExpandedNodeGroups
    }),
    [nodeGroups, defaultActions, expandedNodeGroups]
  );
  return /* @__PURE__ */ jsx(HvFlowNodeMetaProvider, { children: /* @__PURE__ */ jsx(HvFlowContext.Provider, { value, children }) });
};
export {
  HvFlowContext,
  HvFlowProvider
};
