import { jsx } from "react/jsx-runtime";
import { MiniMap } from "reactflow";
import { getColor } from "@hitachivantara/uikit-styles";
import { useClasses } from "./Minimap.styles.js";
import { staticClasses } from "./Minimap.styles.js";
const HvFlowMinimap = ({
  nodeColor = "atmo4",
  maskColor = "atmo3",
  maskStrokeColor = "atmo3",
  nodeStrokeColor = "atmo4",
  classes: classesProp,
  className,
  ...others
}) => {
  const { classes, cx } = useClasses(classesProp);
  return /* @__PURE__ */ jsx(
    MiniMap,
    {
      className: cx(classes.root, className),
      nodeColor: typeof nodeColor === "string" ? getColor(nodeColor, "atmo4") : nodeColor,
      nodeStrokeColor: typeof nodeStrokeColor === "string" ? getColor(nodeStrokeColor, "atmo4") : nodeStrokeColor,
      maskColor: getColor(maskColor, "atmo3"),
      maskStrokeColor: getColor(maskStrokeColor, "atmo3"),
      ...others
    }
  );
};
export {
  HvFlowMinimap,
  staticClasses as flowMinimapClasses
};
