import { createClasses, theme } from "@hitachivantara/uikit-react-core";
import { staticClasses as staticClasses$1 } from "./BaseNode.styles.js";
const baseClasses = Object.fromEntries(
  Object.keys(staticClasses$1).map((key) => [key, {}])
);
const { staticClasses, useClasses } = createClasses("HvFlowNode", {
  subtitleContainer: {
    minHeight: 48,
    padding: theme.spacing("xs"),
    display: "flex",
    flexDirection: "row",
    justifyContent: "space-between",
    alignItems: "center"
  },
  subtitle: {
    paddingLeft: theme.spacing("xs")
  },
  inlineEditRoot: {
    display: "inline-flex",
    flexGrow: 1
  },
  inlineEditButton: {
    justifyContent: "space-between"
  },
  actions: {},
  actionsButton: {
    gap: 0
  },
  paramsContainer: {
    borderTop: `1px solid ${theme.colors.atmo4}`,
    display: "flex",
    flexDirection: "column",
    gap: theme.space.xs,
    padding: theme.space.sm
  },
  // Spread here to know if we are overriding classes from parents
  ...baseClasses
});
export {
  staticClasses,
  useClasses
};
