import { jsx, Fragment } from "react/jsx-runtime";
import Select from "./Select.js";
import Slider from "./Slider.js";
import Text from "./Text.js";
const renderers = {
  text: Text,
  select: Select,
  slider: Slider
};
const ParamRenderer = ({ params, data }) => {
  return /* @__PURE__ */ jsx(Fragment, { children: params.map((param) => {
    const Renderer = renderers[param.type];
    if (!Renderer) return null;
    return /* @__PURE__ */ jsx(Renderer, { param, data }, param.id);
  }) });
};
export {
  ParamRenderer
};
