import { jsx } from "react/jsx-runtime";
import { css } from "@emotion/css";
import { HvSlider } from "@hitachivantara/uikit-react-core";
import { useFlowNodeUtils } from "../../hooks/useFlowNode.js";
const classes = {
  labelContainer: css({
    marginRight: 0,
    marginLeft: 0
  }),
  sliderBase: css({
    padding: 0
  })
};
const Slider = ({ param, data }) => {
  const { id } = param;
  const { setNodeData } = useFlowNodeUtils();
  return /* @__PURE__ */ jsx(
    HvSlider,
    {
      className: "nodrag",
      defaultValues: data[id],
      onChange: (val) => setNodeData((prev) => ({ ...prev, [id]: val })),
      classes: {
        labelContainer: classes.labelContainer,
        sliderBase: classes.sliderBase
      },
      ...param
    }
  );
};
export {
  Slider as default
};
