import { jsxs, jsx } from "react/jsx-runtime";
import { forwardRef } from "react";
import { HvTypography } from "@hitachivantara/uikit-react-core";
import { Drag } from "@hitachivantara/uikit-react-icons";
import { useClasses } from "./SidebarGroupItem.styles.js";
import { staticClasses } from "./SidebarGroupItem.styles.js";
const HvFlowSidebarGroupItem = forwardRef(function HvFlowSidebarGroupItem2(props, ref) {
  const {
    label,
    isDragging,
    classes: classesProp,
    className,
    ...others
  } = props;
  const { classes, cx } = useClasses(classesProp);
  return /* @__PURE__ */ jsxs(
    "div",
    {
      ref,
      className: cx(
        classes.root,
        { [classes.dragging]: isDragging },
        className
      ),
      ...others,
      children: [
        /* @__PURE__ */ jsx(HvTypography, { children: label }),
        /* @__PURE__ */ jsx(Drag, {})
      ]
    }
  );
});
export {
  HvFlowSidebarGroupItem,
  staticClasses as flowSidebarGroupItemClasses
};
