import { jsx } from "react/jsx-runtime";
import { useDefaultProps, HvDialog } from "@hitachivantara/uikit-react-core";
import { useClasses } from "./WizardContainer.styles.js";
import { staticClasses } from "./WizardContainer.styles.js";
const HvWizardContainer = (props) => {
  const {
    classes: classesProp,
    children,
    handleClose,
    ...others
  } = useDefaultProps("HvWizardContainer", props);
  const { classes } = useClasses(classesProp);
  return /* @__PURE__ */ jsx(
    HvDialog,
    {
      classes: {
        root: classes.root,
        closeButton: classes.closeButton,
        paper: classes.paper
      },
      onClose: handleClose,
      fullWidth: true,
      maxWidth: "lg",
      ...others,
      children
    }
  );
};
export {
  HvWizardContainer,
  staticClasses as wizardContainerClasses
};
